#ifndef PLAYER_HPP_INCLUDED
#define PLAYER_HPP_INCLUDED

#include "Character.hpp"
#include "../JavaClass/Class.hpp"
#include <vector>
#include <string>
#include <cstdint>
#include "PlayerInfo.hpp"
#include "NamePair.hpp"

namespace Internal
{
    class Player : public Character
    {
        public:
            Player();
            Player(const void* Obj);
            Player(const Player& P);
            static Class GetClass();

            std::vector<std::string> GetActions() const;
            std::int32_t GetCombatLevel() const;
            bool GetHidden() const;
            NamePair GetNamePair() const;
            std::int32_t GetOverheadIcon() const;
            PlayerInfo GetPlayerInfo() const;
            std::int32_t GetSkullIcon() const;
            std::int32_t GetTeam() const;
            std::int32_t GetTotalLevel() const;

    };
}

#endif // PLAYER_HPP_INCLUDED
